apk使用最前沿测试版

注意:下面两部要严格按步骤执行

系统要整体升级到edge,否则依赖包对不上。

首先升级整个系统到edge:

$ sudo apk -U upgrade -a --repository=http://mirrors.ustc.edu.cn/alpine/edge/community

升级edge的时候,会有依赖错误:

执行完后有些会报告有error:

此时fix一下:

$ sudo apk fix --repository=http://mirrors.ustc.edu.cn/alpine/edge/testing

把依赖问题都解决掉:

关于alpine的edge仓库的说明:

简单来说,edge仓库就是alpine正在开发的package仓库,里面是最新的packages,可能会不稳定。

接下来说一下alpine的三种repo的类型:

Powered by Jekyll and Theme by solid